.intro-container {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  color: #fff;
  text-align: center;

  .logo {
    width: 480px;
    max-width: 60vw;
    opacity: 1;
    transition: opacity 300ms;
  }

  .intro-content {
    opacity: 1;
    transition: opacity 300ms;
  }

  .intro-button {
    width: 175px;
    height: 175px;
    margin-top: 50px;
    font-size: 32px;
    font-family: "Lobster", cursive;
    border: none;
    border-radius: 50%;
    opacity: 1;
    transition: opacity 500ms;

    &:focus {
      outline: none;
    }

    &::after {
      border-radius: 50%;
      transform: scale(1);
      transition: opacity 300ms, transform 400ms;
    }
  }

  &.open {
    .logo {
      opacity: 0;
    }

    .intro-content {
      opacity: 0;
    }

    .intro-button {
      opacity: 0;

      &::after {
        transform: scale(30);
      }
    }
  }
}
